package com.ywt.mg.domain.mealEntities;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;

/**
 * @author: daiyihua
 * @date: 2019/3/9
 */
public interface UserMealOrderViewRepository extends JpaRepository<UserMealOrderView, Integer> {

    @Query(value = "select * from user_meal_order_view where order_no = ? limit 1;", nativeQuery = true)
    public UserMealOrderView getUserMealOrderViewByOrderNo(String orderNo);
}
